/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* pt-sans-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "PT Sans";
    font-style: normal;
    font-weight: 400;
    src: url("./fonts/pt-sans-v18-latin-regular.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* pt-sans-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "PT Sans";
    font-style: normal;
    font-weight: 700;
    src: url("./fonts/pt-sans-v18-latin-700.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* pt-serif-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "PT Serif";
    font-style: normal;
    font-weight: 400;
    src: url("./fonts/pt-serif-v19-latin-regular.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* pt-serif-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "PT Serif";
    font-style: normal;
    font-weight: 700;
    src: url("./fonts/pt-serif-v19-latin-700.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* italianno-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "Italianno";
    font-style: normal;
    font-weight: 400;
    src: url("./fonts/italianno-v18-latin-regular.woff2") format("woff2"); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


/* VARIABLES */
:root {
    --underline-weight: 92.5%;
    --transition: all 0.3s ease-in-out;
    --white: #fff;
    --black: #000;
    --font-body: "PT Serif", system-ui, sans-serif;
    --font-headline: "Italianno", system-ui, sans-serif;
}

/* HTML */
html {
    scroll-behavior: smooth;
    scroll-padding-top: 100px;
}

/* BODY */
body {
    position: relative;
    overflow-x: hidden;
}

/* FOCUS */
:focus {
    outline: 2px solid var(--contrast);
}

/* SELECTION */
::selection {
    background-color: var(--contrast);
    color: var(--base);
}

/* STRONG */
b,
strong {
    font-weight: 700;
}

/* LISTS */
ul {
    margin-left: 1em;
}
ol {
    margin-left: 1.5em;
}
.gb-container ul li {
    margin-bottom: 5px;
}
.gb-container ul li::marker {
    color: var(--contrast);
}
.gb-accordion .gb-container p:last-child,
.gb-accordion .gb-container ul:last-child {
    margin-bottom: 0;
}

/* LINKS */
.main-navigation a,
.container p a,
a.serviceContainer .gspb-buttonbox-title,
.top-bar a,
.customFooterContainer a,
.forminator-checkbox-label a {
    display: inline;
    text-decoration: none;
    background-image: linear-gradient(
        180deg,
        transparent var(--underline-weight),
        currentColor 0
    );
    background-size: 0 100%;
    background-position: center;
    font-weight: 600;
    background-repeat: no-repeat;
    transition: var(--transition) !important;
}

.site-footer a,
.main-navigation a,
.headerTop a {
    --underline-weight: 92.5%;
    display: inline;
    text-decoration: none;
    font-weight: 600;
    background-size: 0 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-image: linear-gradient(
        180deg,
        transparent var(--underline-weight),
        currentColor 0
    );
    transition: var(--transition) !important;
}
.site-footer a {
    font-weight: 600;
}
.main-navigation a {
    margin: 0 10px;
}
.container a {
    text-decoration: none;
}
.main-navigation ul li:last-child a {
    margin-right: 0;
}
.main-navigation .sub-menu a {
    display: inline;
}
.main-navigation a:hover,
.main-navigation a:focus,
.container a:hover,
.container a:focus,
.site-footer a:hover,
.site-footer a:focus,
.top-bar a:hover,
.top-bar a:focus,
.customFooterContainer a:hover,
.customFooterContainer a:focus,
.home .current-menu-item.menu-item-object-page > a,
.forminator-checkbox-label a:hover,
.forminator-checkbox-label a:focus,
.headerTop a:hover,
.headerTop a:focus {
    background-size: 100% 100%;
}
.main-navigation a:hover,
.main-navigation a:focus,
.customFooterContainer .current-menu-item a,
.site-footer a:hover,
.site-footer a:focus {
    background-size: 100% 100% !important;
}

.home .current-menu-item > a,
.current-menu-item > a {
    background-size: 0 100%;
}
.site-logo a,
a.borlabs-cookie-preference,
a.gb-button,
a.button,
.gb-block-image a,
.post-image a,
a.gb-container-link,
a.imagelink,
a.gspb-buttonbox,
.arrowDownContainer a,
a.headerTopSocialLink {
    background-image: none;
}
.container a.gb-button {
    display: inline-block;
}
.main-navigation
    .main-nav
    ul
    li[class*="current-menu-"].menu-item-object-page
    > a {
    color: var(--accent);
    background-size: 100% 100% !important;
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a:hover,
.main-navigation .main-nav ul li[class*="current-menu-"] > a:focus {
    color: var(--accent);
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a {
    color: var(--contrast);
}
.site-logo a {
    display: block;
}

/* SITE HEADER */
.site-header {
    border-bottom: 2px solid var(--contrast);
}
.inside-header {
    position: relative;
}

/* MOBILE MENU */
.main-navigation button.menu-toggle {
    background-color: transparent !important;
    color: var(--blue);
    padding: 0px !important;
    line-height: 0;
    border-radius: 100%;
}
.menu-toggle .gp-icon svg {
    top: 0;
    font-size: 22px;
}

/* STICKY NAVIGATION */
div.navigation-branding img {
    height: auto !important;
    width: 100px;
    padding: 0 !important;
}
div.navigation-branding a {
    background-image: none;
    background-size: 0 0;
    display: block;
    margin: 0;
}
.main-navigation.navigation-stick.has-sticky-branding {
    box-shadow: none;
    border-bottom: 2px solid var(--contrast);
}
.main-navigation.navigation-stick.has-sticky-branding
    .inside-navigation.grid-container {
    max-width: unset;
}
.navigation-stick {
    padding: 10px 0px;
}

/* MENU BUTTON */
li.menuButton a {
    display: block;
    background-size: 0 0 !important;
    background-image: none !important;
    border: 1px solid var(--contrast);
    border-radius: 12px;
    padding: 7px 20px !important;
    line-height: 1.2 !important;
    text-transform: uppercase !important;
    font-weight: 500 !important;
    transition: var(--transition) !important;
    font-family: var(--font-headline) !important;
}
li.menuButton a:hover,
li.menuButton a:focus {
    background-color: var(--contrast);
    color: var(--white) !important;
}

/* SLIDEOUT MENU */
.main-navigation.slideout-navigation {
}

/* SUB MENU */

/* POPUP PANELS */

/* SWIPER BUTTONS */
.swiper-button-next,
.swiper-button-prev {
    transition: var(--transition);
}
.swiper-button-next:hover,
.swiper-button-next:focus,
.swiper-button-prev:hover,
.swiper-button-prev:focus {
    color: var(--white);
    background-color: var(--contrast);
}

/* GALERY DETAILS */
.single-galerie .site-content {
    display: block;
}

/* LIGHTBOX */
.gspb_gallery_grid a,
.gspb_gallery_grid img {
    display: block;
}
.gspb_gallery_grid a {
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}
.gspb_gallery_grid a::after {
    content: "" !important;
    background-image: none !important;
    margin: 0 !important;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--contrast) !important;
    mask-image: none !important;
    opacity: 0;
    transition: var(--transition);
}
.gspb_gallery_grid a:hover::after,
.gspb_gallery_grid a:focus::after {
    opacity: 0.5;
}
.gspb_gallery_grid a img {
    transition: var(--transition);
}
.gspb_gallery_grid a:hover img,
.gspb_gallery_grid a:focus img {
    transform: scale(1.05);
}

.apartmentGaleryContainer .gspb_gallery_grid > *:nth-child(n + 6) {
    display: none;
}
.apartmentGaleryContainer .gspb_gallery_grid > *:nth-child(n + 5)::after {
    content: "+" attr(data-number-of-items) !important;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--black);
    opacity: 0.66;
    color: #fff;
    font-size: 26px;
    display: grid;
    place-items: center;
    transition: all 0.3s;
}
.apartmentGaleryContainer .gspb_gallery_grid > *:nth-child(n + 5):hover::after {
    color: transparent;
}

/* ACCORDION */

/* CARDS */

/* ACCORDION */
.gb-accordion__toggle .gb-icon {
}
.gb-accordion__toggle .gb-button-text svg {
    margin-right: 5px;
}

/* VALUE ALIGN START */
.valueAlignStart {
    align-items: start !important;
}

/* ALIGN SELF */
.alignLastItemSelfEnd > *:last-child {
    align-self: end !important;
}

/* FORMINATOR */
.forminator-textarea {
    padding: 40px 10px 10px 10px !important;
    margin-top: 0px !important;
    line-height: 1.2 !important;
}
.forminator-textarea,
.forminator-textarea--wrap::after {
    border-radius: 12px !important;
}
.forminator-design--material
    .forminator-field-textarea
    .forminator-is_filled
    .forminator-label[class*="forminator-floating-"],
.forminator-design--material
    .forminator-field-textarea
    .forminator-is_active
    .forminator-label[class*="forminator-floating-"] {
    transform: translateY(calc(-100% + 40px)) !important;
}
.forminator-button {
    padding: 12px 25px !important;
    border-radius: 12px !important;
    line-height: 1.5 !important;
    font-weight: 600 !important;
    font-size: 20px !important;
    text-transform: none !important;
    letter-spacing: 1px !important;
    transition: var(--transition) !important;
}
.forminator-checkbox-label {
    line-height: 1.2em !important;
}
.forminator-checkbox-label a {
}
.forminator-label {
    font-weight: 600 !important;
}
.forminator-label.forminator-floating--textarea {
    padding-top: 20px !important;
}
.forminator-ui.forminator-custom-form[data-design="material"]
    .forminator-multi-upload.forminator-multi-upload,
.forminator-ui.forminator-custom-form[data-design="material"]
    .forminator-button.forminator-button-submit {
    margin-top: 20px;
}
.forminator-ui.forminator-custom-form[data-design="material"]
    .forminator-button.forminator-button {
    border-radius: 12px !important;
    padding: 12px 25px;
    line-height: 1.5;
}
.forminator-error-message {
    line-height: 1.5 !important;
}
.forminator-multi-upload-message p a,
.forminator-multi-upload-message p a:visited,
.forminator-multi-upload-message p a:hover,
.forminator-multi-upload-message p a:focus {
    text-decoration: none !important;
}
.forminator-row-last .forminator-field {
}
.forminator-design--material
    .forminator-has_error
    .forminator-textarea--wrap::after {
    border-color: var(--accent) !important;
}
.forminator-ui.forminator-design--material
    .checkbox-privacy
    .forminator-checkbox,
.forminator-ui.forminator-design--material
    .checkbox-privacy
    .forminator-checkbox__label,
.forminator-ui.forminator-design--material
    .checkbox-privacy
    .forminator-checkbox__label
    p {
    font-weight: 400 !important;
}
.et-db
    #et-boc
    .et_pb_module
    .forminator-ui.forminator-custom-form[data-design="material"]
    .forminator-checkbox,
.forminator-ui.forminator-custom-form[data-design="material"]
    .forminator-checkbox {
    align-items: start !important;
}
.et-db
    #et-boc
    .et_pb_module
    .forminator-ui.forminator-custom-form[data-design="material"]
    .forminator-checkbox
    .forminator-checkbox-box,
.forminator-ui.forminator-custom-form[data-design="material"]
    .forminator-checkbox
    .forminator-checkbox-box {
    margin-top: 2px !important;
}
.forminator-checkbox-label a {
    font-weight: 600;
    color: var(--brown-light);
}
.forminator-field > *:last-child {
    margin-bottom: 0;
}
.forminator-field-radio .forminator-label {
    padding-bottom: 10px !important;
}
.forminator-radio-label {
    line-height: 1.2 !important;
}
.forminator-field-html p {
    font-size: 24px;
    font-weight: 500;
}
.forminator-ui.forminator-custom-form[data-design="flat"] .forminator-input,
.forminator-select .select2-selection__rendered {
}
.forminator-select.select2-container {
    border-radius: 12px !important;
    overflow: hidden !important;
}
.forminator-icon-chevron-down {
    font-size: 20px !important;
    margin: 0 auto 0 0 !important;
}
.select2-selection--multiple .select2-selection__choice {
    padding: 10px !important;
    border-radius: 12px !important;
}
.forminator-response-message {
    padding: 20px !important;
    border-radius: 12px !important;
}
.forminator-response-message p {
    font-weight: 500 !important;
    line-height: 1.5 !important;
}



/* MAPS */
.wpgmp_infowindow.fc-infowindow-default .fc-item-title {
    font-family: var(--font-body) !important;
    text-transform: none !important;
}
.wpgmp_infowindow .fc-item-content.fc-item-body-text-color,
.wpgmp_infowindow .fc-text.fc-item-body-text-color {
    color: var(--contrast) !important;
    font-weight: 500 !important;
}
.wpgmp_infowindow .fc-text.fc-item-body-text-color {
    font-weight: 500 !important;
    font-style: normal !important;
    line-height: 1.5em !important;
}
.fc-infowindow-default .fc-item-featured_image img,
.fc-infowindow-default .fc-feature-img img {
    margin-top: 0 !important;
    border: none !important;
    padding: 0 !important;
    margin-bottom: 0px !important;
    border-radius: 12px !important;
}
.wpgmp_map_parent {
    margin: 0 !important;
    display: block !important;
}
.wpgmp_map_parent.wpgmp_map_parent,
._brlbs-thumbnail {
    display: block;
    margin: 0;
}
._brlbs-content-blocker {
    text-align: center;
}
.BorlabsCookie ._brlbs-content-blocker ._brlbs-embed._brlbs-embed {
    margin: 0 auto;
    vertical-align: middle;
}
.bcac-item a._brlbs-cursor {
    max-width: max-content;
    margin: 0 auto !important;
}
.fc-item-content a {
    font-weight: 600;
}
.wpgmp_map_container .gm-style-iw {
}
.gm-style-iw-c {
}
.gm-style-iw-chr {
}
.wpgmp_iw_content {
}
.fc-main {
}
.fc-item-featured_image {
}
.map_content_container > p:last-child {
}
.wpgmp_infowindow.fc-infowindow-default .fc-item-title {
}
.gm-ui-hover-effect > span {
}
.gm-style .gm-style-iw-tc::after {
}

/* BACK TO TOP */
.generate-back-to-top.generate-back-to-top {
    font-size: 36px;
    bottom: 20px;
    right: 20px;
    height: 48px;
    width: 48px;
    line-height: 0;
    box-shadow: transparent;
    text-shadow: transparent;
    background-size: 0 0;
    border-radius: 100%;
    border: 2px solid var(--white);
    transition: background-color 0.33s ease-in-out, color 0.33s ease-in-out,
        bottom 0.33s ease-in-out;
    z-index: 2500;
}
.generate-back-to-top.generate-back-to-top:hover,
.generate-back-to-top.generate-back-to-top:focus {
    bottom: 25px;
}
.generate-back-to-top.generate-back-to-top .gp-icon {
    display: grid;
    place-items: center;
    height: 100%;
}
.generate-back-to-top.generate-back-to-top .gp-icon svg {
    top: 0;
}

/* FOOTER */
.footerNavigation {
    list-style-type: none;
    padding: 0;
    margin: 0;
}
.footerNavigation li {
    line-height: 1.5em;
}
.footerNavigation > li:first-child {
    text-transform: none;
}
.copyright-bar {
    width: 100%;
}
.inside-footer-widgets {
    position: relative;
}
.footer-widgets {
    border-top: 2px solid var(--contrast);
}
.footer-widgets .hiddenDesktop {
    display: none;
}


/* MAX CONTENT WITH PADDING */
@media screen and (max-width: 1480px) {
    
}

/* MAX CONTENT WIDTH */
@media screen and (max-width: 1440px) {
}

/* MAX DESKTOP 2 */
@media screen and (max-width: 1024px) {
    /* NAVIGATION */
    .main-navigation div.main-nav ul li {
        margin: 10px 0;
    }
    .main-navigation div.main-nav ul li.menuButton {
        margin: 20px 0;
    }
    .main-navigation div.main-nav ul li a {
        padding: 0px 0;
        margin: 0 15px;
        display: inline;
        line-height: 1.5em;
    }
    .slideout-navigation .main-nav {
        margin-top: 15px;
    }
    .slideout-overlay button.slideout-exit.slideout-exit {
        margin-top: 0px;
        margin-left: 0px;
        line-height: 1;
        margin-right: 15px;
        top: 15px;
    }
    .slideout-exit .gp-icon svg {
        font-size: 24px;
    }
    .dropdown-menu-toggle .gp-icon svg {
        top: 5px;
    }
    .menu-item-has-children span.dropdown-menu-toggle {
        padding-right: 15px;
    }
    div.navigation-branding {
        margin-left: 0;
    }
    div.navigation-branding a {
        margin: 0;
    }
    div.navigation-branding img {
    }
    .site-header .header-image {
        width: 200px;
    }
    div.navigation-branding img {
        width: 100px;
    }

    /* PARALLAX */
    .gb-container.gb-container {
        background-attachment: unset;
    }

}

/* MAX DESKTOP */
@media screen and (max-width: 1023px) {
}

/* MAX TABLET */
@media screen and (max-width: 768px) {
    /* STICKY NAVIGATION */
    .navigation-stick {
        padding: 10px 20px;
    }
    div.navigation-branding img {
        padding: 0;
        width: 100px;
    }

    /* INSIDE HEADER*/
    .inside-footer-widgets::after {
        left: 0px;
        width: 100%;
    }

    /* MAPS */
    .fc-main {
        flex-direction: column;
        align-items: start;
    }
    .wpgmp_map_container div.gm-style-iw {
        max-width: 250px !important;
        padding: 15px !important;
    }

    /* DOWNLOAD BUTTONS */
    .wp-block-file a {
        font-size: 24px;
    }

    /* SWIPER BUTTONS */
    .swiper-button-next::after,
    .swiper-button-prev::after {
        font-size: 24px !important;
    }

    /* BLOG */
    .blog #page {
        padding: 0 20px;
    }


}

/* MAX TABLET */
@media screen and (max-width: 767px) {
    .forminator-ui.forminator-design--material
        .checkbox-privacy
        .forminator-checkbox,
    .forminator-ui.forminator-design--material
        .checkbox-privacy
        .forminator-checkbox__label,
    .forminator-ui.forminator-design--material
        .checkbox-privacy
        .forminator-checkbox__label
        p {
        font-size: 18px !important;
    }
    .forminator-button {
        font-size: 30px !important;
    }
    .blog .inside-article a.button.read-more {
        font-size: 30px;
    }
}

/* MAX PHONE */
@media screen and (max-width: 575px) {
    .site-header .header-image {
        width: 150px;
    }
    .gb-container .wp-block-table thead {
        display: none;
    }
    .gb-container .wp-block-table td {
        display: block;
        border: none;
    }
    .gb-container .wp-block-table tr {
        border: 1px solid var(--contrast);
    }
}

/* MIN PHONE */
@media screen and (min-width: 576px) and (max-width: 767px) {
}

/* MIN TABLET */
@media screen and (min-width: 768px) {
    /* FOOTER */
    .footerContainer {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }
    ul.footerNavigation {
        display: flex;
        flex-wrap: wrap;
        padding: 0;
        margin: 0;
        text-align: center;
        margin-right: auto;
        justify-content: center;
    }
    .footerNavigation li {
        margin-right: 15px;
        margin-bottom: 0 !important;
    }
    .footerNavigation li:first-child {
    }
    .footerNavigation li:last-child {
        margin-right: 0;
    }
}

/* MIN TABLET HEADER */
@media screen and (min-width: 769px) {
    .main-navigation .main-nav ul li.menu-item a {
        padding: 0 0;
    }
}

/* MIN DESKTOP */
@media screen and (min-width: 1025px) {
    .main-navigation {
    }
    .main-navigation .main-nav ul li.menu-item:last-child a {
    }
    .main-navigation a {
    }
    .stickyFirst > .gb-grid-column:first-child {
        position: sticky;
        top: 80px;
        align-self: flex-start;
    }
}

/* MEDIA QUERY DESKTOP MIN */
@media screen and (min-width: 1024px) and (max-width: 1440px) {
   
}

/* MIN DESKTOP XL */
@media screen and (min-width: 1280px) {
    .main-navigation a {
        margin: 0 15px;
    }
    .site-header .header-image {
        width: 200px;
    }
    div.navigation-branding img {
        width: 125px;
    }
}

/* MIN CONTENT WIDTH*/
@media screen and (min-width: 1480px) {
    .fullWidthContainer {
        margin-left: calc((100vw - 1480px) / 2);
    }
    .fullWidthContainerFlip {
        margin-right: calc((100vw - 1480px) / 2);
    }
}
